Retrieve statuses of an assets

/dam/assets/status Gets the status information for given assets.

The endpoint could provide information about asset import and object statuses.

Table 1. Details

Resource path

/api/core/v1/dam/assets/status

HTTP method

POST

Request content type

application/json

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Body parameters

Specified by AssetRequest

  • ids: it might be used to get assets statuses by asset’s id's

  • tids: it might be used to get assets statuses by asset’s tid's

Assets statuses are retrieved by tids OR ids. ids are ignored if the request contains tids and ids.
Return Type

OmnType with filled AssetsType. More info AssetType

Responses
Table 2. Asset Import statuses
Value Description

pending

Import is in processing queue

running

General status if import is running

available

Asset, previews and metadata available

incomplete

Import failed at some state and is incomplete (most of the time Asset is available but not synchronized)

Table 3. Asset Object statuses
Value Description

import incomplete

Object is not synchronized (check-in not complete)

available

Asset, previews and metadata available after import/checkin

locked

Asset is "checked out"

marked for deletion

Asset is marked for deletion

Table 4. Http response codes
Code Message Datatype

200

PimType with filled AssetsType

PimType

400

Invalid input provided

ResponseType

401

Not authorized

ResponseType

404

Not found

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
1. To get a list of assets statuses by assets tids
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/assets/status' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "tids": ["986A971D-1B8B-4E72-ACB3-0ED272CB504"]
}'
Request body
{
    "tids": ["986A971D-1B8B-4E72-ACB3-0ED272CB504"]
}
Response body
 <?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-09-27T12:41:38.795Z</itm>
        <itm key="itemInformationType">asset</itm>
    </meta>
    <assets>
        <asset tid="986A971D-1B8B-4E72-ACB3-0ED272CB504" id="64556">
            <meta>
                <itm key="ImportState">available</itm>
                <itm key="ObjectState">available</itm>
            </meta>
        </asset>
    </assets>
</pim>
2. To get a list of assets statuses by assets ids
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/assets/status' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ids": ["15185"]
}'
Request body
{
    "ids": ["15185"]
}
Response body
 <?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-09-27T12:41:38.795Z</itm>
        <itm key="itemInformationType">asset</itm>
    </meta>
    <assets>
        <asset tid="986A971D-1B8B-4E72-ACB3-0ED272CBCCC" id="15185">
            <meta>
                <itm key="ImportState">available</itm>
                <itm key="ObjectState">available</itm>
            </meta>
        </asset>
    </assets>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...